Total RNA from yeast and hyphal (9 h.p.i.) cells was extracted using RNeasy Plant Mini Kit (74904; Qiagen, Hilden, Germany) following the manufacturer’s protocol (see HyperTRIBE experiment and data processing). cDNA libraries were prepared using VAHTS® Universal V6 RNA-seq Library Prep Kit for Illumina (NR604-01/02; Vazyme) and sequenced using the HiSeq 3000 platform (Illumina), to obtain 151-nt single-end reads. Approximately, ~10 million raw reads for hyphal and ~20 million raw reads for yeast samples were obtained.
Basic quality control checks on all sequencing datasets were performed using FastQC (https://www.bioinformatics.babraham.ac.uk/projects/fastqc/). RNAseq data analysis was carried out in Galaxy, an open-source platform (24). The raw sequencing reads were quality filtered based on their quality score and length with Trimmomatic (Version 0.36; 18). Specifically, the reads were trimmed 20 nt from the start, trimmed from the end when the Phred score dropped below 30, and discarded if the read length is less than 20 nt. STAR (version 2.7.2b) was used to align the trimmed reads to the U. maydis genome (see HyperTRIBE experiment and data processing; 19), allowing up to 4% mismatches in the mapped read length while limiting the mapping to one locus. Uniquely mapped reads on each gene were counted using htseq-count (version 0.9.1; 25). The resulting raw counts of mRNA libraries were used as input for the subsequent differential gene expression analysis. All differential gene expression analysis was performed using the R/Bioconductor package DESeq2 (26). Genes with an absolute fold change>1.5 (after fold change shrinkage) and an adjusted P<0.05 (Benjamini-Hochberg correction) were considered differentially expressed.
To identify differentially expressed genes in hyphae following a morphological switch from yeast, quantitative changes in transcript expression levels were calculated by comparing the hyphal against the yeast mRNA libraries (“hyphae vs. yeast”) for wildtype as well as khd4 strains. As a result, transcripts that were more expressed in the hyphal form obtained a positive log2-transformed fold change (log2 fold change), while transcripts that were more expressed in the yeast form obtained a negative log2 fold change. To identify differentially expressed genes in the hyphal cells after khd4
deletion, the mRNA libraries from the khd4 hyphal cells (9 h.p.i.) were compared against the mRNA libraries of wildtype hyphal cells (9 h.p.i.) (“khd4 hyphae vs. wildtype hyphae”).
To identify potential UTR regions, the transcript read coverage profile was generated by analyzing the mapped BAM files (Fig. S13A). The coverage function from the IRanges package (R package version 2.32.0) was utilized to calculate the coverage of the mapped BAM file. Subsequently, each coverage value was normalized by dividing it by the total number of reads. To focus on regions surrounding the start or stop codons, we extracted the coverage values within a 501 nt window centered around these codons. These extracted values were then converted to z-scores by subtracting the mean of the respective row from each element in that row and dividing the result by the standard deviation of the row.